System Requirements

Gleim Online Courses

Minimum System Requirements for Gleim Online Courses
Microsoft Internet Explorer Version 11 or higher
Google Chrome Version 52 or higher
Apple Safari Version 8 or higher
Adobe Flash Player Version 10.3 or higher (download from Adobe)
Adobe Reader Version 9 or higher (download from Adobe)
Audio You must have a sound card with speakers or headphones for audiovisuals
Email You must have an active email account
Cookies You must have cookies enabled on your browser
Javascript You must have Javascript enabled on your browser